org.springframework.web.reactive.socket.adapter

## Class UndertowWebSocketHandlerAdapter

- java.lang.Object
- - io.undertow.websockets.core.AbstractReceiveListener
  - - org.springframework.web.reactive.socket.adapter.UndertowWebSocketHandlerAdapter

All Implemented Interfaces:
  EventListener, ChannelListener<io.undertow.websockets.core.WebSocketChannel>

    public class UndertowWebSocketHandlerAdapter
    extends io.undertow.websockets.core.AbstractReceiveListener

Undertow `WebSocketConnectionCallback` implementation that adapts and delegates to a Spring `WebSocketHandler`.

Since:
  5.0
Author:
  Violeta Georgieva, Rossen Stoyanchev

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.xnio.ChannelListener

`ChannelListener.Setter<T extends Channel>, ChannelListener.SimpleSetter<T extends Channel>`

### Constructor Summary

Constructors
Constructor and Description
`UndertowWebSocketHandlerAdapter(UndertowWebSocketSession session)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `onError(io.undertow.websockets.core.WebSocketChannel channel, Throwable error)`
`protected void` `onFullBinaryMessage(io.undertow.websockets.core.WebSocketChannel channel, io.undertow.websockets.core.BufferedBinaryMessage message)`
`protected void` `onFullCloseMessage(io.undertow.websockets.core.WebSocketChannel channel, io.undertow.websockets.core.BufferedBinaryMessage message)`
`protected void` `onFullPongMessage(io.undertow.websockets.core.WebSocketChannel channel, io.undertow.websockets.core.BufferedBinaryMessage message)`
`protected void` `onFullTextMessage(io.undertow.websockets.core.WebSocketChannel channel, io.undertow.websockets.core.BufferedTextMessage message)`

### Methods inherited from class io.undertow.websockets.core.AbstractReceiveListener

`bufferFullMessage, getMaxBinaryBufferSize, getMaxCloseBufferSize, getMaxPingBufferSize, getMaxPongBufferSize, getMaxTextBufferSize, handleEvent, onBinary, onClose, onCloseMessage, onFullPingMessage, onPing, onPong, onText`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UndertowWebSocketHandlerAdapter

    public UndertowWebSocketHandlerAdapter(UndertowWebSocketSession session)

### Method Detail

#### onFullTextMessage

    protected void onFullTextMessage(io.undertow.websockets.core.WebSocketChannel channel,
                                     io.undertow.websockets.core.BufferedTextMessage message)

Overrides:
  `onFullTextMessage` in class `io.undertow.websockets.core.AbstractReceiveListener`

#### onFullBinaryMessage

    protected void onFullBinaryMessage(io.undertow.websockets.core.WebSocketChannel channel,
                                       io.undertow.websockets.core.BufferedBinaryMessage message)

Overrides:
  `onFullBinaryMessage` in class `io.undertow.websockets.core.AbstractReceiveListener`

#### onFullPongMessage

    protected void onFullPongMessage(io.undertow.websockets.core.WebSocketChannel channel,
                                     io.undertow.websockets.core.BufferedBinaryMessage message)

Overrides:
  `onFullPongMessage` in class `io.undertow.websockets.core.AbstractReceiveListener`

#### onFullCloseMessage

    protected void onFullCloseMessage(io.undertow.websockets.core.WebSocketChannel channel,
                                      io.undertow.websockets.core.BufferedBinaryMessage message)

Overrides:
  `onFullCloseMessage` in class `io.undertow.websockets.core.AbstractReceiveListener`

#### onError

    protected void onError(io.undertow.websockets.core.WebSocketChannel channel,
                           Throwable error)

Overrides:
  `onError` in class `io.undertow.websockets.core.AbstractReceiveListener`